---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach015Agent01.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x592E0, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5B220, symBinAddr: 0xE150, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5B610, symBinAddr: 0xE540, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5C5B0, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5C5C0, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0x8DDA, offset: 0x8DDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x58F30, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8DE5, offset: 0x8DE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x58F34, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x8DF0, offset: 0x8DF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x58F38, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x8E35, offset: 0x8E35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59090, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x59148, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8EC0, offset: 0x8EC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5914C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8ED9, offset: 0x8ED9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x59150, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8EF2, offset: 0x8EF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x59154, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8F0B, offset: 0x8F0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x59158, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F24, offset: 0x8F24, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x59160, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FAD, offset: 0x8FAD, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x59170, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FC6, offset: 0x8FC6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x59178, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FDF, offset: 0x8FDF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x59180, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x59188, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9011, offset: 0x9011, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x59190, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x902B, offset: 0x902B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x59198, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9111, offset: 0x9111, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x591DC, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x591E0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x591E8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x915C, offset: 0x915C, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x591F0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9175, offset: 0x9175, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x59200, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x918E, offset: 0x918E, size: 0x8, addend: 0x0, symName: __ZL19receivedEventsCount, symObjAddr: 0x59208, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x91A7, offset: 0x91A7, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x59210, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x91F9, offset: 0x91F9, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3230, symSize: 0x80 }
  - { offsetInCU: 0x928E, offset: 0x928E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3180, symSize: 0xB0 }
  - { offsetInCU: 0x92E9, offset: 0x92E9, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3080, symSize: 0x100 }
  - { offsetInCU: 0x957C, offset: 0x957C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x32B0, symSize: 0x220 }
  - { offsetInCU: 0x9761, offset: 0x9761, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x34D0, symSize: 0xA0 }
  - { offsetInCU: 0x9814, offset: 0x9814, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3570, symSize: 0x110 }
  - { offsetInCU: 0x990A, offset: 0x990A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3680, symSize: 0x150 }
  - { offsetInCU: 0x9A67, offset: 0x9A67, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x37D0, symSize: 0x30 }
  - { offsetInCU: 0x9B48, offset: 0x9B48, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3800, symSize: 0x150 }
  - { offsetInCU: 0x9D40, offset: 0x9D40, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3950, symSize: 0x160 }
  - { offsetInCU: 0x9EE0, offset: 0x9EE0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3AB0, symSize: 0x1B0 }
  - { offsetInCU: 0xA0FB, offset: 0xA0FB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3C60, symSize: 0xA0 }
  - { offsetInCU: 0xA1CA, offset: 0xA1CA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3D00, symSize: 0x20 }
  - { offsetInCU: 0xA201, offset: 0xA201, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3D20, symSize: 0x20 }
  - { offsetInCU: 0xA238, offset: 0xA238, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3D40, symSize: 0x20 }
  - { offsetInCU: 0xA3A7, offset: 0xA3A7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3D60, symSize: 0x1A0 }
  - { offsetInCU: 0xA6C3, offset: 0xA6C3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3F00, symSize: 0x130 }
  - { offsetInCU: 0xA873, offset: 0xA873, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4030, symSize: 0x80 }
  - { offsetInCU: 0xA93C, offset: 0xA93C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x40B0, symSize: 0x6A0 }
  - { offsetInCU: 0xB4D1, offset: 0xB4D1, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x5AC0, symSize: 0xB0 }
  - { offsetInCU: 0xB548, offset: 0xB548, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4750, symSize: 0x70 }
  - { offsetInCU: 0xB61C, offset: 0xB61C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x47C0, symSize: 0xA0 }
  - { offsetInCU: 0xB727, offset: 0xB727, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4860, symSize: 0x40 }
  - { offsetInCU: 0xB81D, offset: 0xB81D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x48A0, symSize: 0x2B0 }
  - { offsetInCU: 0xBBC3, offset: 0xBBC3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4B50, symSize: 0xC0 }
  - { offsetInCU: 0xBD09, offset: 0xBD09, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4C10, symSize: 0x10 }
  - { offsetInCU: 0xBDCB, offset: 0xBDCB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4C20, symSize: 0x220 }
  - { offsetInCU: 0xC0C8, offset: 0xC0C8, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x4E40, symSize: 0x150 }
  - { offsetInCU: 0xC18B, offset: 0xC18B, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x4F90, symSize: 0x3C0 }
  - { offsetInCU: 0xC4C0, offset: 0xC4C0, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x5350, symSize: 0xF0 }
  - { offsetInCU: 0xC5C2, offset: 0xC5C2, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x5440, symSize: 0x270 }
  - { offsetInCU: 0xC873, offset: 0xC873, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x56B0, symSize: 0xB0 }
  - { offsetInCU: 0xC8DA, offset: 0xC8DA, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x5760, symSize: 0x1E0 }
  - { offsetInCU: 0xCAD8, offset: 0xCAD8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xACF0, symBinAddr: 0x5940, symSize: 0x180 }
  - { offsetInCU: 0xCD0F, offset: 0xCD0F, size: 0x8, addend: 0x0, symName: _classLoadHandler, symObjAddr: 0xBEE0, symBinAddr: 0x5B70, symSize: 0x1D0 }
  - { offsetInCU: 0xCF7F, offset: 0xCF7F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC0B0, symBinAddr: 0x5D40, symSize: 0x310 }
  - { offsetInCU: 0xD34F, offset: 0xD34F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC3C0, symBinAddr: 0x6050, symSize: 0x36A }
...
